import React from "react";
import { string, func } from "prop-types";
import {
  FormControl,
  FormControlLabel,
  RadioGroup,
  Radio
} from "@mui/material";

const propTypes = {
  selectedRepoOption: string,
  onSelectRepoOption: func
};

export const WITH_REPO = "with";
export const WITHOUT_REPO = "without";

export const RepositoryOptions = ({
  selectedRepoOption,
  onSelectRepoOption
}) => (
  <FormControl>
    <RadioGroup
      row
      aria-label="Choose option to create IOC with or without existing repository"
      name="repositoryOptions"
      value={selectedRepoOption}
      onChange={(event) => onSelectRepoOption(event.target.value)}
    >
      <FormControlLabel
        value={WITHOUT_REPO}
        control={<Radio />}
        label="Create IOC with existing repository"
      />
      <FormControlLabel
        value={WITH_REPO}
        control={<Radio />}
        label="Create IOC and a repository"
      />
    </RadioGroup>
  </FormControl>
);

RepositoryOptions.propTypes = propTypes;
