import React from "react";
import { IconBadge } from "@ess-ics/ce-ui-common";
import { JobTypeIcon } from "./JobIcons";
import { InternalLink } from "@ess-ics/ce-ui-common";

export function JobBadge({ operation }) {
  const linkToIoc = (
    <InternalLink
      to={`/iocs/${operation.iocId}`}
      label={`IOC details, ${operation.iocName}`}
    >
      {operation.iocName}
    </InternalLink>
  );

  return (
    <IconBadge
      icon={
        <>
          <JobTypeIcon
            type={operation.type}
            colorStyle="black"
          />
        </>
      }
      title={linkToIoc}
      subtitle={operation.host.fqdn || "---"}
    />
  );
}
