import React from "react";
import { Stack, Typography } from "@mui/material";
import { InternalLink } from "@ess-ics/ce-ui-common";

export const JobHostColumn = ({ job }) => {
  if (job.host?.hostName) {
    return (
      <Stack>
        <InternalLink
          to={`/hosts/${job?.host?.hostId}`}
          label={`Host details, ${job.host?.hostName}`}
        >
          {job.host.hostName}
        </InternalLink>
        <Typography variant="body2">{job.host.network}</Typography>
      </Stack>
    );
  }

  return null;
};
