import React from "react";
import { JobDetails } from "../../../components/Job/JobDetails";
import { AppHarness } from "../../../mocks/AppHarness";

import deploymentOperation from "../../../mocks/fixtures/OperationDeploymentDetails.json";
import deploymentOperationJob from "../../../mocks/fixtures/OperationDeploymentJob.json";

const JOB_OPTIONS = [
  "not started",
  "successful",
  "failed",
  "queued",
  "running"
];
const OPERATION_TYPE_OPTIONS = ["DEPLOY", "UNDEPLOY", "START", "STOP"];

export default {
  title: "Views/Job/JobDetailsView",
  argTypes: {
    operation: deploymentOperation,
    operationType: {
      options: OPERATION_TYPE_OPTIONS,
      control: { type: "radio" }
    },
    job: {
      options: JOB_OPTIONS,
      control: { type: "radio" }
    }
  }
};

const Template = (args) => {
  let currentJob =
    args.job === "not started" ? null : deploymentOperationJob[args.job];

  return (
    <AppHarness>
      <JobDetails
        operation={Object.assign({}, args.operation, {
          type: args.operationType
        })}
        job={currentJob}
      />
    </AppHarness>
  );
};

export const Default = (args) => <Template {...args} />;

Default.args = {
  operation: deploymentOperation,
  operationType: OPERATION_TYPE_OPTIONS[0],
  job: JOB_OPTIONS[0]
};
