import React from "react";
import { KeyValueTable, EmptyValue } from "@ess-ics/ce-ui-common";
import { Chip, Stack } from "@mui/material";

const Tags = ({ tags }) => (
  <Stack
    direction="row"
    gap={1.5}
    flexWrap="wrap"
  >
    {tags.map((tag) => (
      <Chip
        key={tag}
        label={tag}
        sx={{ minWidth: "50px" }}
      />
    ))}
  </Stack>
);

const getTableData = (host) => ({
  "device type": host?.netBoxHost?.vm
    ? "Virtual machine"
    : host?.netBoxHost?.deviceType,
  description: host?.netBoxHost?.description ? (
    host.netBoxHost.description
  ) : (
    <EmptyValue />
  ),
  scope: host?.netBoxHost?.scope,
  tags: host?.netBoxHost?.tags ? (
    <Tags tags={host?.netBoxHost?.tags} />
  ) : (
    <EmptyValue />
  )
});

export const HostDetailsTable = ({ host }) => (
  <KeyValueTable
    obj={getTableData(host)}
    variant="overline"
  />
);
